Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 584960 - x11-misc/sddm-0.13.0-r3 nothing but a black screen
Summary: x11-misc/sddm-0.13.0-r3 nothing but a black screen
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 5 votes (vote)
Assignee: LxQt maintainers
URL:
Whiteboard:
Keywords:
: 594760 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-06-03 19:51 UTC by ta2002
Modified: 2019-08-18 00:27 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info sddm qtgui gcc (emerge.info,28.82 KB, application/x-info)
2017-05-13 21:21 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ta2002 2016-06-03 19:51:25 UTC
I know I am going to need some luck to find a gentoo dev who knows this well.

First of all, the sddm user is in the video group (checked that several times).

When I try to start sddm, I get a couple of flashes, and then nothing but a black screen. This is the log file:

[23:47:33.014] (II) DAEMON: Initializing...
[23:47:33.084] (II) DAEMON: Starting...
[23:47:33.084] (II) DAEMON: Adding new display on vt 7 ...
[23:47:33.196] (II) DAEMON: Display server starting...
[23:47:33.197] (II) DAEMON: Running: /usr/bin/X -nolisten tcp -auth /var/run/sddm/{0b12b625-706f-4e55-bfd4-f6e7c86f56d1} -background none -noreset -displayfd 17 vt7
[23:47:37.634] (II) DAEMON: Running display setup script  "/usr/share/sddm/scripts/Xsetup"
[23:47:37.676] (II) DAEMON: Display server started.
[23:47:37.676] (II) DAEMON: Socket server starting...
[23:47:37.676] (II) DAEMON: Socket server started.
[23:47:37.689] (II) DAEMON: Greeter starting...
[23:47:37.689] (II) DAEMON: Adding cookie to "/var/run/sddm/{0b12b625-706f-4e55-bfd4-f6e7c86f56d1}"
[23:47:37.790] (II) DAEMON: Greeter session started successfully
[23:47:37.791] (WW) DAEMON: Auth: sddm-helper exited with 3
[23:47:37.798] (II) DAEMON: Greeter stopped.


$ emerge --info
Portage 2.2.28 (python 3.4.3-final-0, default/linux/amd64/13.0/desktop, gcc-4.9.3, glibc-2.22-r4, 3.18.12-gentoo x86_64)
=================================================================
System uname: Linux-3.18.12-gentoo-x86_64-Intel-R-_Core-TM-_i5_CPU_750_@_2.67GHz-with-gentoo-2.2
KiB Mem:    12302788 total,   1348640 free
KiB Swap:    4112604 total,   4112604 free
Timestamp of repository gentoo: Fri, 03 Jun 2016 16:30:01 +0000
sh bash 4.2_p53
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.2_p53::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.12.6::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.6/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="64bit R X a52 aac aalib accessibility acoustid acpi additions adobe-cff aio alsa amd64 ap arcade asf aspell audio audiofile avcodec avformat blksha1 bluray bookmarks bwscheduler bzip2 cacert cairo caps cdda cdio cdr chm chroot cli client consolekit cpumining cracklib crypt cryptsetup css cups cxx dbus device-mapper dga directfb display-manager djvu downloadorder dri dri3 dvbpsi dvd dvdnav dvdr ebook egl eigen encode espeak exceptions exif expat fam fbcon ffmpeg filecaps flac fluidsynth fontconfig fortran gallium gbm gcj gcrypt ggi gif glamor glib glibc-omitfp gmp gpg gphoto2 gpm gsm gstreamer gtk handbook hardcoded-tables hddtemp hpn iconv idea imap infowidget inotify iostats ipc ipfilter ipv6 jabber jbig jit joystick jpeg jsbsim kdcraw kde kmod kscreen lame lcms less libass libkms libmpv libsamplerate libwww live lm_sensors logviewer lzma mad matroska mbox mdns-bundled memlimit midi minizip mmx mmxext mp3 mp4 mpeg mta mudflap multilib nas ncurses net netapi network nls no-old-linux nodrm npm nptl ntfsprogs ntp ocamlopt offlinehelp ofx ogg okular opengl openmedia openmp opus oscar osdmenu p2p pcre pdf pie pm-utils png policykit portmon postproc ps qt3support quotes raptor readline real recursion-limit redland rtc rtmp savedconfig scanfolder scanner scrypt sdl search seccomp secure-delete sensord shared-glapi shm silc smbclient smtp snapshot sndfile sound speex spell sse sse2 sse2_4way sse2check sse4 ssl ssse3 stats subversion svg swscale sysfs taglib tcmalloc tcpd theora threads threadsafe tiff tls-heartbeat truetype udev udisks unicode upower urandom usb userlocales utils v4l2 vdpau video vorbis vtv wav webdav-neon webinterface widgets x264 xcb xinerama xml xmp xpdf-headers xslt xv xvid yahoo zlib zrtp" ABI_X86="64" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="author braindump flow karbon krita sheets stage words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 ssse3 sse4_1 sse4_2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Andreas Sturmlechner gentoo-dev 2016-06-03 21:22:13 UTC
/etc/sddm.conf exists?
Comment 2 ta2002 2016-06-05 13:41:18 UTC
(In reply to Andreas Sturmlechner from comment #1)
> /etc/sddm.conf exists?

No, it doesn't. I have seen one machine running sddm successfully, and it does not have an /etc/sddm.conf.

There is a /etc/dbus-1/system.d/org.freedesktop.sddm.conf, but I have no idea if that is relevant.

Happy to try something, but have no idea what to put in there (don't see any sample config).
Comment 3 Michael 'veremitz' Everitt 2016-06-07 13:32:37 UTC
/var/lib/sddm exists?
(from https://forums.gentoo.org/viewtopic-p-7848416.html#7848416)
Comment 4 ta2002 2016-06-08 17:59:14 UTC
(In reply to Michael Everitt (IRC: veremit) from comment #3)
> /var/lib/sddm exists?
> (from https://forums.gentoo.org/viewtopic-p-7848416.html#7848416)

Yes, it does, but I have noticed that it is owned by sddm:sddm, and on a machine on which sddm is working, that directory is owned by sddm:root. Could that matter?
Comment 5 Alex Xu (Hello71) 2016-06-09 14:58:12 UTC
are you using plasma?
Comment 6 ta2002 2016-06-10 23:18:28 UTC
(In reply to Alex Xu (Hello71) from comment #5)
> are you using plasma?

Yes. I was following the Gentoo guide to update to Plasma from KDE4.
Comment 7 Michael Palimaka (kensington) gentoo-dev 2016-06-12 15:06:17 UTC
Does Plasma otherwise launch correctly (eg. via lightdm or xinitrc)?
Comment 8 ta2002 2016-07-01 07:34:18 UTC
(In reply to Michael Palimaka (kensington) from comment #7)
> Does Plasma otherwise launch correctly (eg. via lightdm or xinitrc)?

Launches fine with slim.
Comment 9 Szymon Szypulski 2016-07-06 16:48:27 UTC
I'm not sure if it's any help. I've encountered almost same issue, after upgrading sddm from 0.13.0-r3 to -r4, after system start I've only black screen.

I've also don't have /etc/sddm.conf, my plasma is running fine when started from lightdm or startx (.xinitrc with just exec startkde)

In /var/lib/sddm/.xsession-errors I've found

libGL error: failed to open drm device: Permission denied
libGL error: failed to load driver: i965

I'm not sure if it's relevant.
Comment 10 Daiajo Tibdixious 2016-07-25 20:07:38 UTC
I had a similar blank screen on my first attempt to upgrade to plasma/sddm.
I regressed to the KDE non plasma profile, removed all of KDE and used KDM,
which worked.
Months later I reupgraded to the plasma profile, switched to SDDM and all is well.

Rather drastic but you might try removing KDE completely and reinstalling.
Comment 11 Patrick ALLAERT 2016-07-27 11:46:50 UTC
Same blank screen for me too since I upgraded from kde plasma 5.5 to 5.6.

For a reason I do not understand (no apparent new useflag triggered), sddm has been recompiled as well as a bunch of other packages with no version change.

Here is the list of what got emerged:

Wed Jul 27 00:27:01 2016 >>> app-arch/libarchive-3.2.1-r3
Wed Jul 27 00:27:08 2016 >>> kde-frameworks/extra-cmake-modules-5.23.0
Wed Jul 27 00:32:12 2016 >>> sys-apps/systemd-226-r2
Wed Jul 27 00:35:24 2016 >>> dev-qt/qtcore-5.6.1
Wed Jul 27 00:46:50 2016 >>> dev-lang/php-7.0.9
Wed Jul 27 00:46:53 2016 >>> dev-qt/qtdbus-5.6.1
Wed Jul 27 00:47:07 2016 >>> dev-qt/qtxml-5.6.1
Wed Jul 27 00:47:17 2016 >>> kde-frameworks/karchive-5.23.0-r1
Wed Jul 27 00:47:36 2016 >>> dev-qt/qtconcurrent-5.6.1
Wed Jul 27 00:47:39 2016 >>> dev-qt/qttest-5.6.1
Wed Jul 27 00:47:58 2016 >>> dev-qt/qtpaths-5.6.1
Wed Jul 27 00:48:03 2016 >>> kde-plasma/kwallet-pam-5.6.5-r1
Wed Jul 27 00:48:12 2016 >>> kde-frameworks/threadweaver-5.23.0
Wed Jul 27 00:48:46 2016 >>> kde-frameworks/breeze-icons-5.23.0
Wed Jul 27 00:48:56 2016 >>> kde-frameworks/kitemmodels-5.23.0
Wed Jul 27 00:49:18 2016 >>> kde-frameworks/oxygen-icons-5.23.0
Wed Jul 27 00:50:28 2016 >>> dev-qt/qtgui-5.6.1
Wed Jul 27 00:50:37 2016 >>> kde-frameworks/kdoctools-5.23.0
Wed Jul 27 00:50:44 2016 >>> dev-qt/qdbus-5.6.1
Wed Jul 27 00:52:30 2016 >>> dev-qt/qtwidgets-5.6.1
Wed Jul 27 00:52:37 2016 >>> dev-qt/qtx11extras-5.6.1
Wed Jul 27 00:53:09 2016 >>> kde-frameworks/kimageformats-5.23.0
Wed Jul 27 00:53:13 2016 >>> dev-qt/qtimageformats-5.6.1
Wed Jul 27 00:53:22 2016 >>> kde-plasma/kdecoration-5.6.5
Wed Jul 27 00:53:49 2016 >>> kde-frameworks/kjs-5.23.0
Wed Jul 27 00:54:00 2016 >>> kde-frameworks/kwayland-5.23.0
Wed Jul 27 00:54:04 2016 >>> kde-frameworks/kguiaddons-5.23.0
Wed Jul 27 00:54:18 2016 >>> dev-qt/qtsvg-5.6.1
Wed Jul 27 00:55:59 2016 >>> dev-qt/qtscript-5.6.1
Wed Jul 27 00:56:33 2016 >>> kde-frameworks/kidletime-5.23.0
Wed Jul 27 00:56:50 2016 >>> dev-qt/qtopengl-5.6.1
Wed Jul 27 00:56:54 2016 >>> kde-plasma/libkscreen-5.6.5
Wed Jul 27 00:56:57 2016 >>> kde-frameworks/ki18n-5.23.0
Wed Jul 27 00:57:41 2016 >>> kde-plasma/plasma-workspace-wallpapers-5.6.5
Wed Jul 27 00:57:51 2016 >>> www-client/firefox-bin-45.2.0
Wed Jul 27 00:57:58 2016 >>> kde-apps/kde-wallpapers-15.08.3-r2
Wed Jul 27 00:58:06 2016 >>> kde-frameworks/kfilemetadata-5.23.0
Wed Jul 27 00:58:37 2016 >>> dev-qt/qtsql-5.6.1
Wed Jul 27 00:58:50 2016 >>> dev-qt/qtprintsupport-5.6.1
Wed Jul 27 01:00:51 2016 >>> dev-qt/qtnetwork-5.6.1
Wed Jul 27 01:08:06 2016 >>> dev-qt/qtxmlpatterns-5.6.1
Wed Jul 27 01:08:52 2016 >>> kde-frameworks/kunitconversion-5.23.0
Wed Jul 27 01:09:57 2016 >>> kde-frameworks/attica-5.23.0
Wed Jul 27 01:25:12 2016 >>> dev-qt/qtdeclarative-5.6.1-r1
Wed Jul 27 01:26:16 2016 >>> dev-qt/linguist-tools-5.6.1
Wed Jul 27 01:26:50 2016 >>> dev-qt/qtgraphicaleffects-5.6.1
Wed Jul 27 01:29:21 2016 >>> dev-qt/qtquickcontrols-5.6.1
Wed Jul 27 01:30:01 2016 >>> dev-qt/qtmultimedia-5.6.1
Wed Jul 27 01:34:15 2016 >>> app-emulation/virtualbox-4.3.32
Wed Jul 27 01:34:20 2016 >>> dev-qt/designer-5.6.1
Wed Jul 27 01:49:47 2016 >>> dev-qt/qtwebkit-5.6.1
Wed Jul 27 01:49:50 2016 >>> kde-frameworks/kcoreaddons-5.23.0
Wed Jul 27 01:50:03 2016 >>> kde-frameworks/kconfig-5.23.0
Wed Jul 27 01:50:32 2016 >>> kde-frameworks/kwidgetsaddons-5.23.0
Wed Jul 27 01:50:47 2016 >>> kde-frameworks/kwindowsystem-5.23.0
Wed Jul 27 01:50:57 2016 >>> kde-frameworks/kdbusaddons-5.23.0
Wed Jul 27 01:51:06 2016 >>> kde-frameworks/kitemviews-5.23.0
Wed Jul 27 01:51:18 2016 >>> kde-frameworks/kcodecs-5.23.0
Wed Jul 27 01:51:46 2016 >>> kde-frameworks/kdnssd-5.23.0
Wed Jul 27 01:51:57 2016 >>> kde-frameworks/sonnet-5.23.0
Wed Jul 27 01:52:02 2016 >>> kde-frameworks/kjsembed-5.23.0
Wed Jul 27 01:52:35 2016 >>> kde-frameworks/solid-5.23.0
Wed Jul 27 01:52:37 2016 >>> kde-frameworks/kcrash-5.23.0
Wed Jul 27 01:53:01 2016 >>> kde-plasma/kwayland-integration-5.6.5
Wed Jul 27 01:53:06 2016 >>> kde-frameworks/kdesignerplugin-5.23.0
Wed Jul 27 01:53:15 2016 >>> kde-frameworks/kpty-5.23.0
Wed Jul 27 01:53:21 2016 >>> kde-frameworks/kpackage-5.23.0
Wed Jul 27 01:53:26 2016 >>> kde-frameworks/kcompletion-5.23.0
Wed Jul 27 01:53:29 2016 >>> kde-frameworks/kjobwidgets-5.23.0
Wed Jul 27 01:53:31 2016 >>> kde-frameworks/kglobalaccel-5.23.0-r1
Wed Jul 27 01:53:35 2016 >>> kde-frameworks/kservice-5.23.0
Wed Jul 27 01:53:37 2016 >>> kde-frameworks/kauth-5.23.0-r1
Wed Jul 27 01:54:00 2016 >>> kde-frameworks/kdesu-5.23.0
Wed Jul 27 01:54:04 2016 >>> kde-frameworks/kemoticons-5.23.0
Wed Jul 27 01:54:07 2016 >>> kde-frameworks/kpeople-5.23.0
Wed Jul 27 01:54:10 2016 >>> kde-frameworks/kconfigwidgets-5.23.0
Wed Jul 27 01:54:20 2016 >>> kde-frameworks/kiconthemes-5.23.0
Wed Jul 27 01:54:28 2016 >>> kde-plasma/polkit-kde-agent-5.6.5
Wed Jul 27 01:54:46 2016 >>> kde-frameworks/ktextwidgets-5.23.0
Wed Jul 27 01:54:55 2016 >>> net-libs/libproxy-0.4.13-r1
Wed Jul 27 01:55:11 2016 >>> media-libs/phonon-4.9.0
Wed Jul 27 01:55:38 2016 >>> kde-frameworks/kxmlgui-5.23.0-r1
Wed Jul 27 01:56:04 2016 >>> media-libs/phonon-vlc-0.9.0
Wed Jul 27 01:56:12 2016 >>> kde-frameworks/kbookmarks-5.23.0
Wed Jul 27 01:56:42 2016 >>> kde-apps/libkipi-15.08.3-r1
Wed Jul 27 01:56:59 2016 >>> kde-frameworks/knotifications-5.23.0
Wed Jul 27 01:57:07 2016 >>> kde-frameworks/networkmanager-qt-5.23.0
Wed Jul 27 01:57:13 2016 >>> kde-plasma/kwrited-5.6.5
Wed Jul 27 01:57:16 2016 >>> kde-frameworks/frameworkintegration-5.23.0
Wed Jul 27 01:57:19 2016 >>> kde-frameworks/kwallet-5.23.0
Wed Jul 27 01:57:33 2016 >>> kde-plasma/ksshaskpass-5.6.5
Wed Jul 27 01:58:49 2016 >>> kde-frameworks/kio-5.23.0
Wed Jul 27 01:59:00 2016 >>> kde-frameworks/kinit-5.23.0
Wed Jul 27 01:59:08 2016 >>> kde-frameworks/kded-5.23.0
Wed Jul 27 01:59:35 2016 >>> kde-frameworks/kxmlrpcclient-5.23.0
Wed Jul 27 01:59:39 2016 >>> kde-plasma/plasma-integration-5.6.5
Wed Jul 27 01:59:44 2016 >>> kde-frameworks/knotifyconfig-5.23.0
Wed Jul 27 02:00:21 2016 >>> kde-frameworks/kparts-5.23.0
Wed Jul 27 02:00:27 2016 >>> kde-frameworks/knewstuff-5.23.0
Wed Jul 27 02:00:43 2016 >>> kde-plasma/kactivitymanagerd-5.6.5
Wed Jul 27 02:00:53 2016 >>> kde-frameworks/kdeclarative-5.23.0
Wed Jul 27 02:01:26 2016 >>> kde-frameworks/kross-5.23.0
Wed Jul 27 02:01:33 2016 >>> kde-frameworks/baloo-5.23.0
Wed Jul 27 02:01:42 2016 >>> kde-frameworks/kcmutils-5.23.0
Wed Jul 27 02:02:04 2016 >>> kde-frameworks/kactivities-5.23.0
Wed Jul 27 02:02:31 2016 >>> kde-plasma/systemsettings-5.6.5
Wed Jul 27 02:05:32 2016 >>> kde-plasma/oxygen-5.6.5
Wed Jul 27 02:05:45 2016 >>> kde-frameworks/kdelibs4support-5.23.0-r1
Wed Jul 27 02:05:55 2016 >>> kde-frameworks/plasma-5.23.0
Wed Jul 27 02:06:05 2016 >>> kde-frameworks/ktexteditor-5.23.0
Wed Jul 27 02:06:43 2016 >>> kde-plasma/kgamma-5.6.5
Wed Jul 27 02:06:53 2016 >>> kde-frameworks/krunner-5.23.0
Wed Jul 27 02:07:03 2016 >>> kde-plasma/user-manager-5.6.5
Wed Jul 27 02:07:17 2016 >>> kde-plasma/kde-cli-tools-5.6.5
Wed Jul 27 02:07:32 2016 >>> kde-plasma/milou-5.6.5
Wed Jul 27 02:07:39 2016 >>> kde-plasma/libksysguard-5.6.5
Wed Jul 27 02:08:22 2016 >>> kde-plasma/sddm-kcm-5.6.5
Wed Jul 27 02:08:44 2016 >>> kde-plasma/kscreenlocker-5.6.5
Wed Jul 27 02:09:03 2016 >>> kde-plasma/kinfocenter-5.6.5
Wed Jul 27 02:09:14 2016 >>> kde-plasma/kscreen-5.6.5-r1
Wed Jul 27 02:09:21 2016 >>> kde-frameworks/khtml-5.23.0
Wed Jul 27 02:09:27 2016 >>> kde-plasma/ksysguard-5.6.5
Wed Jul 27 02:10:41 2016 >>> kde-plasma/breeze-5.6.5-r1
Wed Jul 27 02:11:55 2016 >>> kde-plasma/kwin-5.6.5-r1
Wed Jul 27 02:14:39 2016 >>> kde-plasma/plasma-workspace-5.6.5.1-r2
Wed Jul 27 02:16:26 2016 >>> kde-plasma/powerdevil-5.6.5
Wed Jul 27 02:16:35 2016 >>> kde-plasma/kdeplasma-addons-5.6.5
Wed Jul 27 02:16:46 2016 >>> kde-plasma/khotkeys-5.6.5
Wed Jul 27 02:17:01 2016 >>> kde-plasma/plasma-nm-5.6.5
Wed Jul 27 02:17:04 2016 >>> kde-plasma/kmenuedit-5.6.5
Wed Jul 27 02:19:37 2016 >>> kde-plasma/plasma-desktop-5.6.5
Wed Jul 27 02:19:43 2016 >>> kde-plasma/plasma-meta-5.6.5
Wed Jul 27 02:28:54 2016 >>> x11-misc/sddm-0.13.0-r3
Wed Jul 27 02:29:04 2016 >>> kde-plasma/sddm-kcm-5.6.5
Wed Jul 27 02:49:18 2016 >>> x11-drivers/nvidia-drivers-361.28

I confirm that for the following packages, there were no version change:
sddm, nvidia-drivers, systemd (maybe a few others)

Trying to upgrade to plasma 5.7 doesn't help.
Comment 12 Szymon Szypulski 2016-09-01 05:47:45 UTC
sddm-0.14.0-r1 fixed the issue for me.
Comment 13 Manuel Rüger gentoo-dev 2016-09-01 08:33:19 UTC
Please test with 0.14.0-r1 and report back if it's still failing
Comment 14 Paul Varner (RETIRED) gentoo-dev 2016-09-01 13:08:21 UTC
(In reply to Manuel Rüger from comment #13)
> Please test with 0.14.0-r1 and report back if it's still failing

I started having this exact problem with both 0.14.0 and 0.14.0-r1 and had to revert back to 0.13.0-r4 to get it working again.  I can file a new bug if desired, but it won't be that helpful as I cannot find any error messages anywhere, I just get a black screen.
Comment 15 John Bowler 2017-04-12 20:20:43 UTC
Also happens with 0.14.0.  There seem to be a number of duplicates of this bug.  The problem is that /usr/bin/sddm is in an infinite loop execing the X server, execing the greeter (sddm-greeter) then closing down the X server before the greeter has a change to do much.  Depending on timing there are different symtoms:

1) Black screen if the greeter doesn't manage to draw anything.
2) Frozen greeter screen if it manages to complete the drawing.
3) Greeter flashes up once (the first instance) then black screen because the second and subsequent times round sddm is faster.
4) High CPU utilization; 1/cpu-count.  I've seen 100% on a single CPU ARM system and only about 3% on a fast quad core Intel system.
5) ps ax | egrep sddm shows /usr/sbin/sddm (PID doesn't change) and, depending on timing, Xorg with or without sddm-greeter each time with new PIDs.  (Or use top and see 4/5 together!)

Somehow the slot SDDM::XorgDisplayServer::finished gets activated; this is the first evidence in the log of the problem, the third line here:

[12:33:09.375] (II) DAEMON: Greeter session started successfully
[12:33:09.396] (II) DAEMON: Message received from greeter: Connect
[12:33:09.863] (II) DAEMON: Display server stopped.

It looks like the signal QProcess::finished is connected to this slot in XorgDisplayServer::start, but I haven't yet found out what is causing the QProcess to terminate.  There's no evidence in Xorg.0.log that the termination was unexpected and no qDebug from XorgDisplayServer::stop!

Probable duplicates:

578874?  (High CPU, bug doesn't say if SDDM is functional!)
594760
607726
Comment 16 John Bowler 2017-04-12 23:06:09 UTC
In my case this was caused by the recent update to libdrm:

hippopopus portage # equery l -p libdrm
 * Searching for libdrm ...
[IP-] [  ] x11-libs/libdrm-2.4.75:0
[-P-] [M ] x11-libs/libdrm-2.4.79:0
[-P-] [ -] x11-libs/libdrm-9999:0

I masked libdrm-2.4.79 and now sddm works again.

The X server was terminating automagically; if I run sddm under gdb, break just before the QProcess::start of sddm-helper (which invokes sddm-greeter, apparently) then I can attach another gdb to the X server and then (and only then) it crashes after the login screen is drawn inside libdrm (a SIGSEGV).

This is with the Linux Nouveau driver and associated x11 video driver; I got the update on April 8 (my birthday!)

I guess, given the lack of helpful messages from sddm, this could be the explanation of the other issues too; i.e. a failure within the X server.  However it's probably not the same failure in each case, obviously.
Comment 17 Dennis Schridde 2017-05-13 20:42:38 UTC
(In reply to Paul Varner from comment #14)
> (In reply to Manuel Rüger from comment #13)
> > Please test with 0.14.0-r1 and report back if it's still failing
> 
> I started having this exact problem with both 0.14.0 and 0.14.0-r1 and had
> to revert back to 0.13.0-r4 to get it working again.

0.13.0-r4 does not exist in Gentoo anymore. Downgrading is no longer an option. Did anyone identify the actual cause of this?
Comment 18 Dennis Schridde 2017-05-13 20:49:51 UTC
See-Also: https://github.com/sddm/sddm/issues/715
Comment 19 Dennis Schridde 2017-05-13 21:17:14 UTC
Backtrace with x11-misc/sddm-0.14.0-r3::gentoo, dev-qt/qtgui-5.7.1::gentoo, sys-devel/gcc-6.3.0::gentoo:
```
#0  0x00007fedf4ee790a in QV4::Value::operator= (v=..., this=<optimized out>) at ../../include/QtQml/5.7.1/QtQml/private/../../../../../src/qml/jsruntime/qv4value_p.h:475
No locals.
#1  QV4::Heap::ArrayObject::init (this=<optimized out>) at jsruntime/qv4object_p.h:391
No locals.
#2  QV4::Heap::ArrayObject::ArrayObject (this=<optimized out>) at jsruntime/qv4object_p.h:388
No locals.
#3  QV4::MemoryManager::allocObject<QV4::ArrayObject> (this=<optimized out>) at ../../include/QtQml/5.7.1/QtQml/private/../../../../../src/qml/memory/qv4mm_p.h:211
No locals.
#4  QV4::ExecutionEngine::newArrayObject (this=0x564f43544440, count=2) at jsruntime/qv4engine.cpp:551
        scope = {engine = 0x564f43544440, mark = 0x7fedd4ff4448}
        object = <optimized out>
#5  0x00007fedf5013d7b in QQmlObjectCreator::create (this=this@entry=0x564f435376c0, subComponentIndex=<optimized out>, parent=parent@entry=0x0, interrupt=interrupt@entry=0x0) at qml/qqmlobjectcreator.cpp:193
        scripts = <optimized out>
        v = <optimized out>
        objectToCreate = 0
        scope = {engine = 0x564f43544440, mark = 0x7fedd4fee318}
        instance = <optimized out>
#6  0x00007fedf4fa010d in QQmlComponentPrivate::beginCreate (this=0x564f43537cf0, context=0x564f43532490) at qml/qqmlcomponent.cpp:880
        rv = 0x0
#7  0x00007fedf4f9da2f in QQmlComponent::create (this=0x564f43520c70, context=0x564f435323d0) at qml/qqmlcomponent.cpp:789
        _qml_memory_scope = {pushed = false}
        rv = <optimized out>
#8  0x00007fedf5a7d7de in QQuickView::continueExecute (this=this@entry=0x564f43507950) at items/qquickview.cpp:467
        obj = <optimized out>
#9  0x00007fedf5a7ddac in QQuickViewPrivate::execute (this=0x564f43507f10) at items/qquickview.cpp:108
        _qml_memory_scope = {pushed = false}
#10 0x0000564f420d7e16 in SDDM::GreeterApp::addViewForScreen (this=0x7ffc51aefa40, screen=0x564f434c5010) at /var/tmp/portage/x11-misc/sddm-0.14.0-r3/work/sddm-0.14.0/src/greeter/GreeterApp.cpp:212
        view = 0x564f43507950
        screenModel = <optimized out>
        mainScript = {static null = {<No data fields>}, d = 0x564f43537850}
        mainScriptUrl = {d = 0x564f435370c0}
#11 0x0000564f420d8c0b in SDDM::GreeterApp::GreeterApp (this=0x7ffc51aefa40, argc=<optimized out>, argv=<optimized out>) at /var/tmp/portage/x11-misc/sddm-0.14.0-r3/work/sddm-0.14.0/src/greeter/GreeterApp.cpp:129
        screen = <optimized out>
        _container_ = {c = {<QListSpecialMethods<QScreen*>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {
                    0x0}}, d = 0x564f43506000}, d = 0x564f43506000}}, i = {i = 0x564f43506010}, e = {i = 0x564f43506018}, control = 1}
        testing = false
        socket = {static null = {<No data fields>}, d = 0x564f434e9950}
        configFile = {static null = {<No data fields>}, d = 0x564f434ef0a0}
        screens = {<QListSpecialMethods<QScreen*>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, 
              d = 0x564f43506000}, d = 0x564f43506000}}
#12 0x0000564f420c0754 in main (argc=<optimized out>, argv=0x7ffc51aefbc8) at /var/tmp/portage/x11-misc/sddm-0.14.0-r3/work/sddm-0.14.0/src/greeter/GreeterApp.cpp:262
        arguments = {<QList<QString>> = {<QListSpecialMethods<QString>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, 
                  array = {0x0}}, d = 0x564f434a0220}, d = 0x564f434a0220}}, <No data fields>}
        app = {<QGuiApplication> = {<QCoreApplication> = {<QObject> = {_vptr.QObject = 0x564f42336480 <vtable for SDDM::GreeterApp+16>, static staticMetaObject = {d = {superdata = 0x0, stringdata = 0x7fedf47e35e0 <qt_meta_stringdata_QObject>, 
                    data = 0x7fedf47e34c0 <qt_meta_data_QObject>, static_metacall = 0x7fedf46b8b80 <QObject::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, d_ptr = {d = 0x564f4349ff30}, 
                static staticQtMetaObject = {d = {superdata = 0x0, stringdata = 0x7fedf482b360 <qt_meta_stringdata_Qt>, data = 0x7fedf48288a0 <qt_meta_data_Qt>, static_metacall = 0x0, relatedMetaObjects = 0x0, extradata = 0x0}}}, static staticMetaObject = {d = {
                  superdata = 0x7fedf48b6860 <QObject::staticMetaObject>, stringdata = 0x7fedf48428c0 <qt_meta_stringdata_QCoreApplication>, data = 0x7fedf48427a0 <qt_meta_data_QCoreApplication>, 
                  static_metacall = 0x7fedf471ea50 <QCoreApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}, static self = 0x7ffc51aefa40}, static staticMetaObject = {d = {
                superdata = 0x7fedf48bf4e0 <QCoreApplication::staticMetaObject>, stringdata = 0x7fedf4c8c9c0 <qt_meta_stringdata_QGuiApplication>, data = 0x7fedf4c8c780 <qt_meta_data_QGuiApplication>, 
                static_metacall = 0x7fedf49bdd40 <QGuiApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, relatedMetaObjects = 0x0, extradata = 0x0}}}, static staticMetaObject = {d = {superdata = 0x7fedf4d41440 <QGuiApplication::staticMetaObject>, 
              stringdata = 0x564f4212f3e0 <qt_meta_stringdata_SDDM__GreeterApp>, data = 0x564f4212f360 <qt_meta_data_SDDM__GreeterApp>, static_metacall = 0x564f420e6218 <SDDM::GreeterApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>, 
              relatedMetaObjects = 0x0, extradata = 0x0}}, static self = 0x7ffc51aefa40, m_views = {<QListSpecialMethods<QQuickView*>> = {<No data fields>}, {p = {static shared_null = {ref = {atomic = {_q_value = {<std::__atomic_base<int>> = {static _S_alignment = 4, 
                          _M_i = -1}, <No data fields>}}}, alloc = 0, begin = 0, end = 0, array = {0x0}}, d = 0x564f43536df0}, d = 0x564f43536df0}}, m_theme_translator = 0x564f434e9d00, m_components_tranlator = 0x564f434ef8e0, m_themePath = {
            static null = {<No data fields>}, d = 0x564f434e99a0}, m_metadata = 0x564f434e5420, m_themeConfig = 0x564f434e9d20, m_sessionModel = 0x564f434f03e0, m_userModel = 0x564f434f3ee0, m_proxy = 0x564f434f3330, m_keyboard = 0x564f434f5910}
```
Comment 20 Dennis Schridde 2017-05-13 21:21:16 UTC
Created attachment 472512 [details]
emerge --info sddm qtgui gcc
Comment 21 Dennis Schridde 2017-05-13 21:28:14 UTC
(In reply to John Bowler from comment #16)
> In my case this was caused by the recent update to libdrm:
> 
> hippopopus portage # equery l -p libdrm
>  * Searching for libdrm ...
> [IP-] [  ] x11-libs/libdrm-2.4.75:0
> [-P-] [M ] x11-libs/libdrm-2.4.79:0
> [-P-] [ -] x11-libs/libdrm-9999:0
> 
> I masked libdrm-2.4.79 and now sddm works again.

I downgraded to x11-libs/libdrm-2.4.75 (latest stable) and am facing the same problem as before with 2.4.80.
Comment 22 John Bowler 2017-05-14 01:33:43 UTC
(In reply to Dennis Schridde from comment #21)
> I downgraded to x11-libs/libdrm-2.4.75 (latest stable) and am facing the
> same problem as before with 2.4.80.

Meanwhile Gentoo has updated me to 2.4.80 and I'm doing just fine...  The fact that this happens with both the proprietary and nouveau NVidia setups and there is massively flailing around and guesswork here:

https://github.com/sddm/sddm/issues/715

suggests to me a memory trasher in SDDM (since Oct 2016) which manages to produce failures in random other places.

There is one thing I share with the comments in 715 though; I'm seeing this on a high DPI display (it's a UHD portrait display, i.e. 2160x3480 or thereabouts).  I'm on qtcore-5.7.1-r3, but I develop on Qt too with my high-res display and I find it difficult to believe (though it is possible) that sddm is showing up a Qt bug.

As for the hostname suggestion in that report, well, ok I don't have /etc/hostname so I use the default but sddm comes up in 'default' way after my system has obtained the hostname from DHCPD.

John Bowler
Comment 23 Andreas Sturmlechner gentoo-dev 2017-10-21 19:51:06 UTC
*** Bug 594760 has been marked as a duplicate of this bug. ***
Comment 24 ta2002 2018-04-24 13:17:10 UTC
Nearly two years on (and several versions later - now "running" sddm-0.17.0-r1.

Issue is the same (although the flashing has went away, and the mouse pointer is visible - and movable - on the screen). The screen is completely black.

[06:39:28.834] (II) DAEMON: Initializing...
[06:39:28.896] (II) DAEMON: Console kit interface found
[06:39:28.896] (II) DAEMON: Adding new display on vt 7 ...
[06:39:28.952] (II) DAEMON: Loading theme configuration from ""
[06:39:28.953] (II) DAEMON: Display server starting...
[06:39:28.953] (II) DAEMON: Running: /usr/bin/X -nolisten tcp -auth /var/run/sddm/{bf25b58d-3173-495c-b997-0a34d45f73f1} -background none -noreset -displayfd 10 -seat seat0 vt7
[06:39:34.908] (II) DAEMON: Setting default cursor
[06:39:35.014] (II) DAEMON: Running display setup script  "/usr/share/sddm/scripts/Xsetup"
[06:39:35.044] (II) DAEMON: Display server started.
[06:39:35.044] (II) DAEMON: Socket server starting...
[06:39:35.044] (II) DAEMON: Socket server started.
[06:39:35.045] (II) DAEMON: Loading theme configuration from ""
[06:39:35.045] (II) DAEMON: Greeter starting...
[06:39:35.045] (II) DAEMON: Adding cookie to "/var/run/sddm/{bf25b58d-3173-495c-b997-0a34d45f73f1}"
[06:39:35.113] (II) DAEMON: Starting...
[06:39:35.195] (II) DAEMON: Greeter session started successfully
[06:39:35.196] (WW) DAEMON: Auth: sddm-helper exited with 3
[06:39:35.196] (II) DAEMON: Greeter stopped.

Wouldn't think it would be so difficult to track down that specific warning message.
Comment 25 Szymon Szypulski 2018-04-25 04:45:58 UTC
It works fine on gentoo with sddm 0.17.0-r2 and libdrm 2.4.91.
Comment 26 Andreas Sturmlechner gentoo-dev 2018-05-03 14:00:40 UTC
(In reply to ta2002 from comment #24)
> Nearly two years on (and several versions later - now "running"
> sddm-0.17.0-r1.

Please test with sddm-0.17.0-r2 instead.
Comment 27 ta2002 2018-05-11 01:31:20 UTC
(In reply to Andreas Sturmlechner from comment #26)
> Please test with sddm-0.17.0-r2 instead.

Finally had to reboot, so tested -r2. Didn't expect it to work, and in fact, it didn't. Same behavior (completely black screen with mouse pointer in the middle).
Comment 28 Dennis Schridde 2018-05-11 17:38:09 UTC
(In reply to ta2002 from comment #27)
> (In reply to Andreas Sturmlechner from comment #26)
> > Please test with sddm-0.17.0-r2 instead.
> 
> Finally had to reboot, so tested -r2. Didn't expect it to work, and in fact,
> it didn't. Same behavior (completely black screen with mouse pointer in the
> middle).

I also run into this again.  I work around it by enabling auto login in /etc/sddm.conf, which proceeds into KDE Plasma just fine.
Comment 29 Israel G. Lugo 2018-05-26 21:49:25 UTC
(In reply to Dennis Schridde from comment #28)
> (In reply to ta2002 from comment #27)
> > (In reply to Andreas Sturmlechner from comment #26)
> > > Please test with sddm-0.17.0-r2 instead.
> > 
> > Finally had to reboot, so tested -r2. Didn't expect it to work, and in fact,
> > it didn't. Same behavior (completely black screen with mouse pointer in the
> > middle).
> 
> I also run into this again.  I work around it by enabling auto login in
> /etc/sddm.conf, which proceeds into KDE Plasma just fine.

Also failing for me. Recently upgraded from months of downtime (since 2017-12).

x11-misc/sddm: went from 0.15.0 -> 0.17.0-r2
x11-libs/libdrm: went from 2.4.88 -> 2.4.91
dev-qt/qtcore: went from 5.7.1-r3 -> 5.9.4-r2
x11-drivers/nvidia-drivers: went from 387.22 -> 390.42
sys-auth/consolekit: stayed in 1.2.0

Blank screen, mouse moves. CPU is idle. Logs similar to ta2002's, except sddm-greeter exits with 6 (not 3).

[21:21:42.964] (II) DAEMON: Initializing...
[21:21:42.967] (II) DAEMON: Starting...
[21:21:42.967] (II) DAEMON: No session manager found
[21:21:42.967] (II) DAEMON: Adding new display on vt 7 ...
[21:21:42.971] (II) DAEMON: Loading theme configuration from ""
[21:21:42.971] (II) DAEMON: Display server starting...
[21:21:42.971] (II) DAEMON: Running: /usr/bin/X -nolisten tcp -auth /var/run/sddm/{18821bc9-3257-49a2-b6c7-64d47c8567a4} -background none -noreset -displayfd 18 -seat seat0 vt7
[21:21:43.643] (II) DAEMON: Setting default cursor
[21:21:43.649] (II) DAEMON: Running display setup script  "/usr/share/sddm/scripts/Xsetup"
[21:21:43.652] (II) DAEMON: Display server started.
[21:21:43.652] (II) DAEMON: Socket server starting...
[21:21:43.652] (II) DAEMON: Socket server started.
[21:21:43.653] (II) DAEMON: Loading theme configuration from ""
[21:21:43.653] (II) DAEMON: Greeter starting...
[21:21:43.653] (II) DAEMON: Adding cookie to "/var/run/sddm/{18821bc9-3257-49a2-b6c7-64d47c8567a4}"
[21:21:43.658] (II) HELPER: [PAM] Starting...
[21:21:43.658] (II) HELPER: [PAM] Authenticating...
[21:21:43.658] (II) HELPER: [PAM] returning.
[21:21:43.661] (II) DAEMON: Greeter session started successfully
[21:21:43.760] (II) DAEMON: Message received from greeter: Connect
[21:21:44.020] (II) HELPER: [PAM] Closing session
[21:21:44.020] (II) HELPER: [PAM] Ended.
[21:21:44.022] (WW) DAEMON: Auth: sddm-helper exited with 6
[21:21:44.022] (II) DAEMON: Greeter stopped.


Using default breeze theme. sddm is NOT in the video group. Never was, never had to add it there. I can try adding it to video, but I see no permissions errors in the logs (sddm.log and Xorg.0.log).

Works if I autologin (/etc/sddm.conf, set User=<myusername>).